Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.endeca.util
Class SettingDefaults

    java.lang.Object
      com.endeca.util.SettingDefaults

    public class SettingDefaults

extends java.lang.Object

Utility class that centralizes the default `FrameworkSetting`s within the DF framework. See also `Constants`

Author:
  "David An"

Field Summary
`static FrameworkSetting` | `DEFAULT_CONTAINER` Setting representing the default AJAX/non-AJAX container (see `Container`)
`static FrameworkSetting` | `DEFAULT_DATA_SOURCE_DIRECTORY` Setting representing the location on disk to store the data source json files (see `DataSourceConfigHelper`)
`static FrameworkSetting` | `DEFAULT_DATA_SOURCE_HEALTH_CHECK_TIMEOUT` Setting representing the query timeout for ping and API compatibility (see `MDEXUtil`).
`static FrameworkSetting` | `DEFAULT_DATA_SOURCE_ID` Setting representing the location on disk to store the default data source id (see `EndecaPortletUtil`)
`static FrameworkSetting` | `DEFAULT_DATA_SOURCE_POLLING_INTERVAL` Setting representing the polling interval to check availability of the underlying data source (see `DataSourceConfigHelper`). -1 means never poll.
`static FrameworkSetting` | `DEFAULT_DEEP_LINK_PORTLET_NAME` Setting representing the name of the deep link portlet.
`static FrameworkSetting` | `DEFAULT_MDEX_CACHE_MANAGER` Setting representing the default MDEX Cache Manager (see `DefaultMDEXCacheManager`)
`static FrameworkSetting` | `DEFAULT_MDEX_SECURITY_MANAGER` Setting representing the default MDEX Security Manager (see `DefaultMDEXSecurityManager`)
`static FrameworkSetting` | `DEFAULT_MDEX_STATE_MANAGER` Setting representing the default MDEX State Manager (see `DefaultMDEXStateManager`)
`static FrameworkSetting` | `DEFAULT_METADATA_CACHE_ENABLED` Setting that controls the session-based cache of groups and attributes.

Constructor Summary
`SettingDefaults()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_MDEX_STATE_MANAGER

    public static final FrameworkSetting DEFAULT_MDEX_STATE_MANAGER

  Setting representing the default MDEX State Manager (see `DefaultMDEXStateManager`)

### DEFAULT_MDEX_SECURITY_MANAGER

    public static final FrameworkSetting DEFAULT_MDEX_SECURITY_MANAGER

  Setting representing the default MDEX Security Manager (see `DefaultMDEXSecurityManager`)

### DEFAULT_MDEX_CACHE_MANAGER

    public static final FrameworkSetting DEFAULT_MDEX_CACHE_MANAGER

  Setting representing the default MDEX Cache Manager (see `DefaultMDEXCacheManager`)

### DEFAULT_CONTAINER

    public static final FrameworkSetting DEFAULT_CONTAINER

  Setting representing the default AJAX/non-AJAX container (see `Container`)

### DEFAULT_DATA_SOURCE_DIRECTORY

    public static final FrameworkSetting DEFAULT_DATA_SOURCE_DIRECTORY

  Setting representing the location on disk to store the data source json files (see `DataSourceConfigHelper`)

### DEFAULT_DATA_SOURCE_ID

    public static final FrameworkSetting DEFAULT_DATA_SOURCE_ID

  Setting representing the location on disk to store the default data source id (see `EndecaPortletUtil`)

### DEFAULT_DATA_SOURCE_POLLING_INTERVAL

    public static final FrameworkSetting DEFAULT_DATA_SOURCE_POLLING_INTERVAL

  Setting representing the polling interval to check availability of the underlying data source (see `DataSourceConfigHelper`). -1 means never poll.

### DEFAULT_DATA_SOURCE_HEALTH_CHECK_TIMEOUT

    public static final FrameworkSetting DEFAULT_DATA_SOURCE_HEALTH_CHECK_TIMEOUT

  Setting representing the query timeout for ping and API compatibility (see `MDEXUtil`). Default is 5000 milliseconds. This setting requires a restart to take effect.

### DEFAULT_DEEP_LINK_PORTLET_NAME

    public static final FrameworkSetting DEFAULT_DEEP_LINK_PORTLET_NAME

  Setting representing the name of the deep link portlet. (see `MDEXUtil`). Default is endecadeeplinkportlet_WAR_endecadeeplinkportlet.

### DEFAULT_METADATA_CACHE_ENABLED

    public static final FrameworkSetting DEFAULT_METADATA_CACHE_ENABLED

  Setting that controls the session-based cache of groups and attributes. Default is true.

Constructor Detail

### SettingDefaults

    public SettingDefaults()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD